PAPI_get_component_info(3)

NAME
PAPI_get_component_info - get information about a specific software component

SYNOPSIS

Detailed Description

Parameters
    cidx Component index

This function returns a pointer to a structure containing detailed information about a specific software component in the PAPI library. This includes versioning information, preset and native event information, and more. For full details, see PAPI_component_info_t.

Examples:

    const PAPI_component_info_t *cmpinfo = NULL;
    if (PAPI_library_init(PAPI_VER_CURRENT) != PAPI_VER_CURRENT)
    exit(1);
    if ((cmpinfo = PAPI_get_component_info(0)) == NULL)
    exit(1);
    printf("This component supports %d Preset Events and %d Native events.\n",
    cmpinfo->num_preset_events, cmpinfo->num_native_events);

See also
    PAPI_get_executable_info

    PAPI_get_hardware_info

    PAPI_get_dmem_info

    PAPI_get_opt

    PAPI_component_info_t

Author

Generated automatically by Doxygen for PAPI from the source code.